Rails.application.routes.draw do
  match 'sessions/create', to: 'sessions#create', via: :post, as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', via: [:delete, :get], as: 'logout'

  get 'users/new', to: 'users#new', as: 'register'
  post 'users', to: 'users#create', as: 'user'

  get 'users/:id/edit', to: 'users#edit', as: 'edit_profile'
  put 'users/:id', to: 'users#update', as: 'update_profile'


  get 'users/:id', to: 'users#show', as: 'profile'
  
  get 'users/forgotten'
  post 'users/send_forgotten'
  get 'download/:id/:aid', to: 'users#download', as: 'download'

  resources :events do
    get 'past', on: :collection
    get 'forthcoming', on: :collection
    get 'my', on: :collection
    post 'invite', on: :member
  end
  get 'say/hello', as: :welcome


  root to: 'say#hello'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
