require 'test_helper'

class EditUserProfileTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end
  setup do
    @valaki = users(:two)
  end

  test "upload attachment for user profile" do
    get welcome_path
    assert_response :success
    assert_select 'legend', 'Login'

    post login_path, params: { email: @valaki.email, password: 'titok' },
      headers: { "HTTP_REFERER": "http://localhost:3001#{welcome_path}" }
    assert_equal session[:user], @valaki.id
    assert_response :redirect

    get  edit_profile_path(@valaki.id)
    assert_response :success
    assert_select 'legend', "Edit user profile"

    upload_file = fixture_file_upload('test/fixtures/files/kep.png', 'image/png')
    put update_profile_path(@valaki.id), 
      params: { user: 
        { name: '', email: '', password: '', password_confirmation: '',
        attachment: upload_file }
    }
    assert_equal @valaki.attachment.size, 46273
    assert File.exists? Rails.root.join("public", "data", @valaki.attachment.id.to_s)

  end
end
